uses VenomGFX,FNFont2,Lacrt,Wokna32,Nadwokna,Vaznik;
{$CALLING OLDFPCCALL}

Procedure ZapniGrafiku;
begin
Init_Graph(Find_Mode(800,600),BANK_ACCESS,BEST_FQ or 70);
FontAdr('.\fonty\');              {Adresar s fonty}
FN_PCX_adresar:=EXEdir+'obrazky\';
Init_Mouse(vga);
MouseShow;
end;


Procedure MyRunAkce(ja:pointer;var i:longint);
var o:Pokno_s_tlacitky;
    pr:PPrepinace;
begin
o:=ja;
if i=50 then
   begin
   pr:=o^.Retez^.Uzel_s_vyznamem(1)^.vazba;
   pr^.NastavStav(2);
   end;
end;


var p:virtualwindow;
    i,j:longint;
    s:string;
    r,t:pchar;
    ok:tokno_s_tlacitky;
    za:PZatrzitka;

    pr:PPrepinace;
    tl:PTlacitko;

    leva,prava:PVaznik;
    dl,dp:longint;
    z:boolean;

begin
ZapniGrafiku;

Chdir('c:\tp\projekty\wokna32');

(*
leva:=Svazej(Uzel(NaPString('prva'),
             Uzel(NaPString('druha'),
             Uzel(NaPString('treti'),
             Uzel(NaPString('ctvrta'),
             nil)))));

prava:=Svazej(Uzel(NaPString('ptak'),
              Uzel(NaPString('opice'),
              Uzel(NaPString('stonozka'),
              nil))));

dl:=2;
dp:=3;
z:=ParalelniListBox('Test','cisla','zvirata','nekolik cisel','nekolik zvirat',400,400,leva,prava,dl,dp,1);
*)

{okokno(mystr(byte(z)));}


{nactihlasky_ze_souboru('wokna32.cz');}

VyberHiColorBarvuOkno('Vyber HiColor barvu',15);

{VyberBarvuOkno('Vyber HiColor barvu',15);}

Kill_Mouse;
Kill_Graph;

{
writeln(i);
writeln(j);
}
end.
